import { createSvgIcon } from "@mui/material/utils";

const InfoIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_694_33652)">
      <path
        d="M29.9575 0.000104292C21.9415 0.131335 14.2991 3.41189 8.68249 9.1326C5.87218 11.9305 3.65485 15.2664 2.16303 18.9407C0.671216 22.6151 -0.0644561 26.5525 -1.02657e-05 30.5176C-0.00462145 34.3921 0.755399 38.2294 2.23649 41.8096C3.71759 45.3898 5.89064 48.6425 8.63112 51.3814C11.3716 54.1202 14.6256 56.2913 18.2067 57.7703C21.7878 59.2493 25.6255 60.007 29.5 60.0001H30.035C38.0534 59.9176 45.7116 56.6576 51.3293 50.9354C56.947 45.2132 60.0653 37.4962 60 29.4776C60.0092 25.5561 59.2342 21.6724 57.7206 18.0548C56.207 14.4372 53.9853 11.1588 51.1862 8.41237C48.3871 5.66591 45.0671 3.50687 41.4215 2.06221C37.7758 0.61755 33.8781 -0.083562 29.9575 0.000104292ZM26.25 41.3551C26.232 40.8649 26.3119 40.3761 26.485 39.9171C26.6581 39.4582 26.921 39.0383 27.2583 38.6822C27.5956 38.326 28.0005 38.0407 28.4494 37.8429C28.8983 37.6451 29.382 37.5387 29.8725 37.5301H29.94C30.9265 37.532 31.874 37.9157 32.5838 38.6008C33.2936 39.286 33.7107 40.2193 33.7475 41.2051C33.7659 41.6954 33.6862 42.1844 33.5132 42.6435C33.3402 43.1026 33.0773 43.5225 32.7399 43.8788C32.4026 44.235 31.9975 44.5203 31.5485 44.718C31.0995 44.9157 30.6155 45.0218 30.125 45.0301H30.0575C29.0713 45.027 28.1246 44.6428 27.415 43.958C26.7055 43.2731 26.288 42.3405 26.25 41.3551ZM27.5 31.2501V16.2501C27.5 15.5871 27.7634 14.9512 28.2322 14.4823C28.7011 14.0135 29.3369 13.7501 30 13.7501C30.663 13.7501 31.2989 14.0135 31.7678 14.4823C32.2366 14.9512 32.5 15.5871 32.5 16.2501V31.2501C32.5 31.9131 32.2366 32.549 31.7678 33.0179C31.2989 33.4867 30.663 33.7501 30 33.7501C29.3369 33.7501 28.7011 33.4867 28.2322 33.0179C27.7634 32.549 27.5 31.9131 27.5 31.2501Z"
        fill="currentColor"
      />
    </g>
    <defs>
      <clipPath id="clip0_694_33652">
        <rect width="60" height="60" fill="white" />
      </clipPath>
    </defs>
  </svg>,
  "Info"
);

export default InfoIcon;
